# Derived values
%define module Test-Manifest
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-test-manifest
Version: 1.14
Release: 4tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/%{module}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-root
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes MANIFEST README
%{siteperl}/Test/
%{_mandir}/man3/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.0-3tr
- Rebuilt on perl-5.8.7
			
* Mon May 23 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0-1tr
- Added for TSL-3.0

* Tue Mar  8 2005 Erlend Midttun <erlendbm at trustix dot org> 1.0-1tr
- New package.
